Subject: Re: [bug#61989] [PATCH 00/11] Adding Gocryptfs (feature branch)

From: "Leo Famulari" <[email-masked]>
Date: Thu, 16 Mar 2023 19:59:41 -0400

On Thu, Mar 16, 2023, at 15:44, Felix Lechner wrote:
> Hi Leo,
>
> On Wed, Mar 15, 2023 at 6:21 PM Leo Famulari <[email-masked]> wrote:
>>
>> On Mon, Mar 13, 2023 at 07:05:25PM -0700, Felix Lechner wrote:
>> > I am not sure how to read the Cuirass derivations, but the file
>> > missing for powerpc64le-linux [1] called libgcc_s.so.1 is present on
>> > x86_64:
>> >
>> >     gcc-10.3.0-lib
>> >     gcc-12.1.0-lib
>> >     gcc-12.2.0-lib
>> >     gcc-mesboot-4.9.4
>> >     gfortran-10.3.0-lib
>> >     libgccjit-10.3.0
>>
>> Are you saying that something is broken on powerpc64le-linux? Is it a
>> regression from this branch? Or a pre-existing problem?
>
> I do not know the answers to your questions. With my message, I merely
> tried to address what seemed like a remaining issue in this jobset:
>
>     https://ci.guix.gnu.org/jobset/go-team
>
> The failed build #547772 I references was part of the latest
> evaluation #283979, but I am not sure how to read those reports.
>
> Most significantly, I do not know if the reports are
> cumulative—meaning that fewer errors later signify that earlier errors
> have been resolved.

Okay. Then your next steps should be identifying Guix developers who have a history of working on the PowerPC port and asking them to take a look. This kind of outreach to the Guix developer community is a critical part of landing big changes like this one.

If you can't find anyone to respond, then it's safe to say we can ignore this problem.